Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccountSearchParam

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccountSearchParam

public class VoiceOperAccountSearchParam extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperAccountSearchParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAccountId()`
  `String`
  `getFromPort()`
  `String`
  `getFromPortRegexp()`
  `String`
  `getNoRegexpA()`
  `String`
  `getNoRegexpB()`
  `Period`
  `getPeriod()`
  `String`
  `getRegexpA()`
  `String`
  `getRegexpB()`
  `String`
  `getTitle()`
  `String`
  `getToPort()`
  `String`
  `getToPortRegexp()`
  `int`
  `getTypeId()`
  `VoiceOperAccountSearchParam`
  `setAccountId(long accountId)`
  `VoiceOperAccountSearchParam`
  `setFromPort(String fromPort)`
  `VoiceOperAccountSearchParam`
  `setFromPortRegexp(String fromPortRegexp)`
  `VoiceOperAccountSearchParam`
  `setNoRegexpA(String noRegexpA)`
  `VoiceOperAccountSearchParam`
  `setNoRegexpB(String noRegexpB)`
  `VoiceOperAccountSearchParam`
  `setPeriod(Period period)`
  `VoiceOperAccountSearchParam`
  `setRegexpA(String regexpA)`
  `VoiceOperAccountSearchParam`
  `setRegexpB(String regexpB)`
  `VoiceOperAccountSearchParam`
  `setTitle(String title)`
  `VoiceOperAccountSearchParam`
  `setToPort(String toPort)`
  `VoiceOperAccountSearchParam`
  `setToPortRegexp(String toPortRegexp)`
  `VoiceOperAccountSearchParam`
  `setTypeId(int typeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceOperAccountSearchParam

    public VoiceOperAccountSearchParam()

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### getAccountId

    public long getAccountId()

  - ### getTitle

    public String getTitle()

  - ### getFromPort

    public String getFromPort()

  - ### getToPort

    public String getToPort()

  - ### getFromPortRegexp

    public String getFromPortRegexp()

  - ### getToPortRegexp

    public String getToPortRegexp()

  - ### getRegexpA

    public String getRegexpA()

  - ### getRegexpB

    public String getRegexpB()

  - ### getNoRegexpA

    public String getNoRegexpA()

  - ### getNoRegexpB

    public String getNoRegexpB()

  - ### getPeriod

    public Period getPeriod()

  - ### setTypeId

    public VoiceOperAccountSearchParam setTypeId(int typeId)

  - ### setAccountId

    public VoiceOperAccountSearchParam setAccountId(long accountId)

  - ### setTitle

    public VoiceOperAccountSearchParam setTitle(String title)

  - ### setFromPort

    public VoiceOperAccountSearchParam setFromPort(String fromPort)

  - ### setToPort

    public VoiceOperAccountSearchParam setToPort(String toPort)

  - ### setFromPortRegexp

    public VoiceOperAccountSearchParam setFromPortRegexp(String fromPortRegexp)

  - ### setToPortRegexp

    public VoiceOperAccountSearchParam setToPortRegexp(String toPortRegexp)

  - ### setRegexpA

    public VoiceOperAccountSearchParam setRegexpA(String regexpA)

  - ### setRegexpB

    public VoiceOperAccountSearchParam setRegexpB(String regexpB)

  - ### setNoRegexpA

    public VoiceOperAccountSearchParam setNoRegexpA(String noRegexpA)

  - ### setNoRegexpB

    public VoiceOperAccountSearchParam setNoRegexpB(String noRegexpB)

  - ### setPeriod

    public VoiceOperAccountSearchParam setPeriod(Period period)